/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.audit.material.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.audit.information.entity.Information;
import com.jeeplus.modules.sg.audit.material.entity.Material;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目管理MAPPER接口
 * @author
 * @version
 */
@MyBatisMapper
public interface MaterialMapper extends BaseMapper<Material> {
    Material findByMaterialId(Material material);

    Integer updateInfo(Material material);

    void saveMater(List<Material> list);

    List<Material> projectNeed(List<Material> list);

    List<Material> findInformation(List<Material> list);

    Material findByProIn(@Param("projectId") String projectId, @Param("inforId") String infoId);

    Information findNeedInfor(Material information);

    void updateNeed(Information information);

    void updateStatus(List<Material> materialList);

    List<Material> findIsBack(List<Material> list);

    List<Material> findProId(List<Information> list);

    List<Information> proIdName(List<Material> list);

    List<Material> findMateial(Information information);


    List<Material> findStatus();

    String findNeedBack(String id);

    Material idFormId(Material material);

}